GET /data/attachment-files/{attachment_file_id}/file/{file_name}

Download a specific attachment file from a comment or chat message. Supports various file types including images and documents.

Path parameters

  • attachment_file_id Required

    Unique identifier of the attachment file

  • file_name Required

    Name of the file to download

Responses

  • 200 application/octet-stream

    Attachment file successfully downloaded

    File content

GET /data/attachment-files/{attachment_file_id}/file/{file_name}
curl -X GET "http://api.example.com/data/attachment-files/a24a6ea4-ce75-4665-a070-57453082c25/file/document.pdf" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/attachment-files/a24a6ea4-ce75-4665-a070-57453082c25/file/document.pdf"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/attachment-files/a24a6ea4-ce75-4665-a070-57453082c25/file/document.pdf' \
 --header "Authorization: $API_KEY"